Bug 58543 - Repeatable crash visiting websites with conqueror
Repeatable crash visiting websites with conqueror
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-18 22:49 EST by Stephen John Smoogen
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-18 22:49:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen John Smoogen 2002-01-18 22:49:49 EST
Description of Problem:

When visiting www.realtor.com and other sites, Konqueror will consistently segv 
during a query

Version-Release number of selected component (if applicable):

kdebase-2.2-12

How Reproducible:

100$

Steps to Reproduce:
1. Open Konqueror 
2. Visit http://www.realtor.com
3. Select New Mexico, and enter Los Alamos into city.. press go

Actual Results:

After 30 seconds the segv page comes up with 

(no debugging symbols found)...(no debugging symbols found)...
0x40e283a9 in wait4 () from /lib/libc.so.6
#0  0x40e283a9 in wait4 () from /lib/libc.so.6
#1  0x40ea5a54 in __check_rhosts_file () from /lib/libc.so.6
#2  0x405f8838 in KCrash::defaultCrashHandler () from /usr/lib/libkdecore.so.3

#3  0x40d9b9f8 in killpg () from /lib/libc.so.6
#4  0x4126c379 in khtml::CachedScript::data () from /usr/lib/libkhtml.so.3
#5  0x4126ecaf in khtml::Loader::slotFinished () from /usr/lib/libkhtml.so.3
#6  0x40239a92 in KIO::Job::result () from /usr/lib/libkio.so.3
#7  0x4021ed39 in KIO::SimpleJob::slotFinished () from /usr/lib/libkio.so.3
#8  0x40220b69 in KIO::TransferJob::slotFinished () from /usr/lib/libkio.so.3
#9  0x40893a7b in QObject::activate_signal ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#10 0x4027fe42 in KIO::SlaveInterface::finished () from /usr/lib/libkio.so.3
#11 0x4020b40c in KIO::SlaveInterface::dispatch () from /usr/lib/libkio.so.3
#12 0x4027fcc1 in KIO::SlaveInterface::dispatch () from /usr/lib/libkio.so.3
#13 0x40209f94 in KIO::Slave::gotInput () from /usr/lib/libkio.so.3
#14 0x40893c81 in QObject::activate_signal ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#15 0x408e8a76 in QSocketNotifier::activated ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#16 0x408c6f67 in QSocketNotifier::event ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2

#17 0x40843891 in QApplication::notify () from /usr/lib/qt-2.3.1/lib/libqt.so.2

#18 0x4055fc89 in KApplication::notify () from /usr/lib/libkdecore.so.3
#19 0x4080e12b in sn_activate () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#20 0x4080e999 in QApplication::processNextEvent ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#21 0x4084574c in QApplication::enter_loop ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#22 0x4080e197 in QApplication::exec () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#23 0x4100d9d0 in main () from /usr/lib/konqueror.so
#24 0x0804d0c4 in strcpy ()
#25 0x0804dca9 in strcpy ()
#26 0x0804e136 in strcpy ()
#27 0x0804f501 in strcpy ()
#28 0x40d896f7 in __libc_start_main () from /lib/libc.so.6


Expected Results:

Go onto next page :).

Additional Information:

Please let me know if I need to enter other values...
Comment 1 Bernhard Rosenkraenzer 2002-01-23 04:33:37 EST
This is fixed in 3.0* (and possibly in 2.2.2 from errata).

Note You need to log in before you can comment on or make changes to this bug.